Package be.cin.mycarenet._1_0.carenet.types

# Enum Class SpecificTechnicalCareTypeType

java.lang.Object
java.lang.Enum<SpecificTechnicalCareTypeType>
be.cin.mycarenet._1_0.carenet.types.SpecificTechnicalCareTypeType

All Implemented Interfaces:
  `Serializable`, `Comparable<SpecificTechnicalCareTypeType>`, `java.lang.constant.Constable`

public enum SpecificTechnicalCareTypeType extends Enum<SpecificTechnicalCareTypeType>

Java class for SpecificTechnicalCareTypeType

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="SpecificTechnicalCareTypeType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="perfusion"/>
         <enumeration value="parenteral"/>
         <enumeration value="catheter"/>
         <enumeration value="woundcarenotification30-59"/>
         <enumeration value="woundcarenotification60-89"/>
         <enumeration value="woundcarenotification90+"/>
         <enumeration value="woundcarerenew30-59"/>
         <enumeration value="woundcarerenew60-89"/>
         <enumeration value="woundcarerenew90+"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CATHETER`
  `PARENTERAL`
  `PERFUSION`
  `WOUNDCARENOTIFICATION_30_59`
  `WOUNDCARENOTIFICATION_60_89`
  `WOUNDCARENOTIFICATION_90`
  `WOUNDCARERENEW_30_59`
  `WOUNDCARERENEW_60_89`
  `WOUNDCARERENEW_90`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SpecificTechnicalCareTypeType`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static SpecificTechnicalCareTypeType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SpecificTechnicalCareTypeType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PERFUSION

    public static final SpecificTechnicalCareTypeType PERFUSION

  - ### PARENTERAL

    public static final SpecificTechnicalCareTypeType PARENTERAL

  - ### CATHETER

    public static final SpecificTechnicalCareTypeType CATHETER

  - ### WOUNDCARENOTIFICATION_30_59

    public static final SpecificTechnicalCareTypeType WOUNDCARENOTIFICATION_30_59

  - ### WOUNDCARENOTIFICATION_60_89

    public static final SpecificTechnicalCareTypeType WOUNDCARENOTIFICATION_60_89

  - ### WOUNDCARENOTIFICATION_90

    public static final SpecificTechnicalCareTypeType WOUNDCARENOTIFICATION_90

  - ### WOUNDCARERENEW_30_59

    public static final SpecificTechnicalCareTypeType WOUNDCARERENEW_30_59

  - ### WOUNDCARERENEW_60_89

    public static final SpecificTechnicalCareTypeType WOUNDCARERENEW_60_89

  - ### WOUNDCARERENEW_90

    public static final SpecificTechnicalCareTypeType WOUNDCARERENEW_90

- ## Method Details

  - ### values

    public static SpecificTechnicalCareTypeType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SpecificTechnicalCareTypeType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static SpecificTechnicalCareTypeType fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.